if test -v DISTROBOX_HOST_HOME; then unset ZDOTDIR; exec zsh; fi # fix distrobox
if test $TERMINALNAME = "alacritty"; then eval "$(zellij setup --generate-auto-start zsh)"; fi # autostart only in alacritty

#fastfetch
bofh; echo " - BOFH"
#source /usr/share/zsh/plugins/hq/hq.zsh
#colorscript random

try_source () { test -r $1 && source $1 }

# Powerlevel10k - instant prompt and config
try_source "$XDG_CACHE_HOME"/p10k-instant-prompt-$USERNAME.zsh
try_source "$XDG_CONFIG_HOME"/zsh/.p10k.zsh # p10k configure

# ensure zsh cache folder exists
mkdir -p "$XDG_CACHE_HOME"/zsh &>/dev/null

# compinit
autoload -Uz compinit; compinit -d "$XDG_CACHE_HOME"/zsh/compdump

# antidote
source /usr/share/zsh-antidote/antidote.zsh
zstyle ':antidote:bundle' use-friendly-names 'yes'
antidote load

# eval stuff
_evalcache zoxide init zsh
_evalcache dircolors -b /usr/share/LS_COLORS/LS_COLORS
_evalcache atuin init zsh
_evalcache navi widget zsh
_evalcache direnv hook zsh
try_source /opt/asdf-vm/asdf.sh
eval "$(keychain --dir "$XDG_CACHE_HOME"/keychain --eval --quiet id_rsa)"

# source seperate configs
try_source "$ZDOTDIR"/aliases.zsh
try_source "$ZDOTDIR"/keybinds.zsh
try_source "$ZDOTDIR"/distroicon.zsh
try_source "$ZDOTDIR"/transfer.zsh

# ssh ignored patterns
zstyle ':completion:*:*:*:users' ignored-patterns '*'
zstyle ':completion:*:*:*:hosts-domain' ignored-patterns '<->.<->.<->.<->' '^[-[:alnum:]]##(.[-[:alnum:]]##)##' '*@*' '*localdomain*' '*.eeleater.org' '*.local' '*.hbz-nrw.de'
